Bug 466917 - Data Type error?
Data Type error?
Status: CLOSED DUPLICATE of bug 465898
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 10:35 EDT by Rex Abert
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 10:41:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Abert 2008-10-14 10:35:09 EDT
[root@localhost ~]# yum install perl* 
Setting up Install Process
Parsing package install arguments
Package perl-HTML-Tagset-3.10-6.fc8.noarch already installed and latest version
Package perl-Newt-1.08-21.fc8.i386 already installed and latest version
Package perl-Compress-Zlib-2.005-2.fc8.noarch already installed and latest version
Package perl-IO-Compress-Zlib-2.005-2.fc8.noarch already installed and latest version
Package perl-Class-Singleton-1.4-1.fc8.noarch already installed and latest version
Package perl-Time-modules-2003.1126-4.fc8.1.noarch already installed and latest version
Package perl-Compress-Raw-Zlib-2.005-3.fc8.i386 already installed and latest version
Package perl-Text-Autoformat-1.13-5.fc7.noarch already installed and latest version
Package perl-IO-Zlib-1.07-1.noarch already installed and latest version
Package perl-AppConfig-1.65-1.fc8.noarch already installed and latest version
Package perl-XML-Parser-2.34-8.i386 already installed and latest version
Package 4:perl-5.8.8-41.fc8.i386 already installed and latest version
Package perl-File-RsyncP-0.68-2.fc8.1.i386 already installed and latest version
Package perl-XML-RSS-1.31-1.fc8.noarch already installed and latest version
Package 4:perl-libs-5.8.8-41.fc8.i386 already installed and latest version
Package perl-Archive-Tar-1.34-1.fc8.noarch already installed and latest version
Package perl-Digest-SHA1-2.11-4.fc8.i386 already installed and latest version
Package perl-DateTime-Format-W3CDTF-0.04-2.fc7.noarch already installed and latest version
Package perl-SGMLSpm-1.03ii-16.2.1.noarch already installed and latest version
Package perl-Socket6-0.19-4.fc8.1.i386 already installed and latest version
Package perl-DateTime-Format-Mail-0.30-4.fc6.noarch already installed and latest version
Package perl-IO-Socket-SSL-1.02-1.fc8.1.noarch already installed and latest version
Package perl-Template-Toolkit-2.19-1.fc8.i386 already installed and latest version
Package perl-Net-IP-1.25-4.fc8.noarch already installed and latest version
Package 4:perl-devel-5.8.8-41.fc8.i386 already installed and latest version
Package perl-DateManip is obsoleted by perl-Date-Manip, trying to install perl-Date-Manip-5.48-1.fc8.noarch instead
Package perl-Pod-POM-0.17-7.fc8.noarch already installed and latest version
Package perl-URI-1.35-3.1.noarch already installed and latest version
Package perl-Archive-Zip-1.20-3.fc8.noarch already installed and latest version
Package perl-ExtUtils-MakeMaker-6.30-41.fc8.i386 already installed and latest version
Package perl-Net-DNS-0.61-1.fc8.i386 already installed and latest version
Package perl-Net-SSLeay-1.30-5.fc8.1.i386 already installed and latest version
Package 1:perl-DateTime-0.41-1.fc8.i386 already installed and latest version
Package perl-IO-Compress-Base-2.005-2.fc8.noarch already installed and latest version
Package perl-HTML-Parser-3.56-2.fc8.i386 already installed and latest version
Package perl-TeX-Hyphen-0.140-5.fc8.1.noarch already installed and latest version
Package perl-Text-Reform-1.11-7.fc7.noarch already installed and latest version
Package perl-ExtUtils-Embed-1.26-41.fc8.i386 already installed and latest version
Package perl-Params-Validate-0.91-1.fc8.i386 already installed and latest version
Package perl-libwww-perl-5.808-3.fc8.noarch already installed and latest version
Package perl-Test-Harness-2.56-41.fc8.i386 already installed and latest version
Package perl-gettext-1.05-11.fc8.i386 already installed and latest version
Package perl-BSD-Resource-1.28-3.fc8.i386 already installed and latest version
Package perl-IO-Socket-INET6-2.51-2.fc8.1.noarch already installed and latest version
Package 4:perl-suidperl-5.8.8-41.fc8.i386 already installed and latest version
Package perl-Digest-HMAC-1.01-16.noarch already installed and latest version
Package perl-String-CRC32-1.4-3.fc8.i386 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package perl-GD-SVG.noarch 0:0.28-3.fc8 set to be updated
---> Package perl-Number-Compare.noarch 0:0.01-8.fc8 set to be updated
---> Package perl-capitalization.noarch 0:0.03-5.fc8 set to be updated
---> Package perl-Test-YAML-Meta.noarch 0:0.06-3.fc8 set to be updated
---> Package perl-Apache2-SOAP.noarch 0:0.73-1.fc8 set to be updated
---> Package perl-Set-Scalar.noarch 0:1.20-1.fc8.1 set to be updated
---> Package perl-Gearman-Server.noarch 0:1.09-1.fc8 set to be updated
---> Package perl-Class-MakeMethods.noarch 0:1.01-2.fc8.2 set to be updated
---> Package perltidy.noarch 0:20070801-1.fc8 set to be updated
---> Package perl-DateTime-Format-HTTP.noarch 0:0.37-2.fc6 set to be updated
---> Package perl-String-Approx.i386 0:3.26-3.fc8 set to be updated
---> Package perl-HTTP-Request-AsCGI.noarch 0:0.5-2.fc7 set to be updated
---> Package perl-Gtk2-Sexy.i386 0:0.02-6.fc8 set to be updated
---> Package perl-DateTime-Format-Oracle.noarch 0:0.05-1.fc8 set to be updated
---> Package perl-Template-Timer.noarch 0:0.04-2.fc8 set to be updated
---> Package perl-Parse-CPAN-Packages.noarch 0:2.26-4.fc7 set to be updated
---> Package perl-Test-Pod-Coverage.noarch 0:1.08-3.fc6 set to be updated
---> Package perl-DBIx-SQLite-Simple.noarch 0:0.34-2.fc8 set to be updated
---> Package perl-Package-Generator.noarch 0:0.100-2.fc6 set to be updated
---> Package perl-Geo-Forward.noarch 0:0.11-1.fc8.1 set to be updated
---> Package perl-DateTime-Format-ICal.noarch 0:0.08-4.fc7 set to be updated
---> Package perl-Archive-Any.noarch 0:0.093-2.fc7 set to be updated
---> Package perl-POE-Filter-IRCD.noarch 0:2.2-1.fc7 set to be updated
---> Package perl-POE-Component-Server-XMLRPC.noarch 0:0.05-3.fc6 set to be updated
---> Package perl-Archive-Extract.noarch 0:0.24-1.fc8 set to be updated
---> Package perl-Data-Page.noarch 0:2.00-6.fc8 set to be updated
---> Package perl-Declare-Constraints-Simple.noarch 0:0.03-2.fc7 set to be updated
---> Package perl-Test-Object.noarch 0:0.07-1.fc6 set to be updated
---> Package perl-B-Keywords.noarch 0:1.08-2.fc8 set to be updated
---> Package perl-Perlbal-XS-HTTPHeaders.i386 0:0.19-2.fc8 set to be updated
--> Processing Dependency: perl(Perlbal) for package: perl-Perlbal-XS-HTTPHeaders
--> Processing Dependency: perl(Perlbal::HTTPHeaders) for package: perl-Perlbal-XS-HTTPHeaders
---> Package perl-Test-Portability-Files.noarch 0:0.05-4.fc7 set to be updated
---> Package perl-Crypt-Rijndael.i386 0:1.06-2.fc8 set to be updated
---> Package perl-Apache-Session-Wrapper.noarch 0:0.33-2.fc8 set to be updated
---> Package perl-Boulder.noarch 0:1.30-4.fc8.1 set to be updated
---> Package perl-PPI.noarch 0:1.118-1.fc6 set to be updated
---> Package perl-IPC-Run3.noarch 0:0.042-1.fc8 set to be updated
---> Package perl-Test-AutoBuild-monotone.noarch 0:1.2.2-1.fc8 set to be updated
--> Processing Dependency: monotone >= 0.37 for package: perl-Test-AutoBuild-monotone
---> Package perl-Text-Quoted.noarch 0:2.05-1.fc8 set to be updated
---> Package perl-Data-Buffer.noarch 0:0.04-5.fc8 set to be updated
---> Package perl-Class-Data-Accessor.noarch 0:0.04001-1.fc8 set to be updated
---> Package perl-Git.i386 0:1.5.4.3-2.fc8 set to be updated
--> Processing Dependency: git-core = 1.5.4.3-2.fc8 for package: perl-Git
---> Package perl-Locale-Maketext-Lexicon.noarch 0:0.68-2.fc8 set to be updated
---> Package perl-Text-Diff.noarch 0:0.35-4.fc7 set to be updated
---> Package perl-Config-Simple.noarch 0:4.59-2.fc8 set to be updated
---> Package perl-Unix-Statgrab.i386 0:0.04-2.fc7 set to be updated
--> Processing Dependency: libstatgrab.so.6 for package: perl-Unix-Statgrab
---> Package perl-Net-Domain-TLD.noarch 0:1.65-2.fc8 set to be updated
---> Package perl-PerlIO-via-dynamic.noarch 0:0.12-3.fc8 set to be updated
---> Package perl-Text-WrapI18N.noarch 0:0.06-4.fc8 set to be updated
---> Package perl-Test-Taint.i386 0:1.04-4.fc8 set to be updated
---> Package perl-Mail-Box-Parser-C.i386 0:3.006-2.fc8 set to be updated
---> Package perl-File-ReadBackwards.noarch 0:1.04-3.fc7 set to be updated
---> Package perl-Perl6-Bible.noarch 0:0.30-3.fc7 set to be updated
---> Package perl-File-Copy-Recursive.noarch 0:0.36-1.fc8 set to be updated
---> Package perl-Devel-StackTrace.noarch 0:1.1901-1.fc8 set to be updated
---> Package perl-IPC-Run-SafeHandles.noarch 0:0.02-1.fc8 set to be updated
---> Package perl-Devel-Size.i386 0:0.68-2.fc8 set to be updated
---> Package perl-Heap.noarch 0:0.80-1.fc8 set to be updated
---> Package perl-Event-RPC.noarch 0:0.90-3.fc8 set to be updated
---> Package perl-ConfigReader.noarch 0:0.5-1.fc7 set to be updated
---> Package perl-CSS-Tiny.noarch 0:1.14-1.fc6 set to be updated
---> Package perl-Sub-Install.noarch 0:0.924-1.fc7 set to be updated
---> Package perl-Sub-Exporter.noarch 0:0.979-1.fc8 set to be updated
---> Package perl-Geo-METAR.noarch 0:1.14-2.fc8 set to be updated
---> Package perl-Math-Vec.noarch 0:0.04-2.fc7 set to be updated
---> Package perl-Mail-RFC822-Address.noarch 0:0.3-1.fc7 set to be updated
---> Package perl-IO-CaptureOutput.noarch 0:1.03-6.fc8.1 set to be updated
---> Package perl-Acme-Damn.i386 0:0.03-4.fc8 set to be updated
---> Package perl-IO-Null.noarch 0:1.01-3.fc7 set to be updated
---> Package perl-HTTP-Server-Simple-Mason.noarch 0:0.09-6.fc8 set to be updated
---> Package perl-SQL-Abstract-Limit.noarch 0:0.12-4.fc8 set to be updated
---> Package perl-CPAN-Mini.noarch 0:0.571-2.fc8 set to be updated
---> Package perl-CGI-Session.noarch 0:4.20-3.fc8 set to be updated
---> Package perl-Graphics-ColorNames.noarch 0:1.06-4.fc7 set to be updated
---> Package perl-Class-Data-Inheritable.noarch 0:0.06-2.fc8 set to be updated
---> Package perl-File-HomeDir.noarch 0:0.65-1.fc8 set to be updated
---> Package perl-Text-Smart.noarch 0:1.0.2-1.fc8 set to be updated
---> Package perl-DBD-SQLite2.i386 0:0.33-8.fc8 set to be updated
---> Package perl-Email-Date.noarch 0:1.102-3.fc8 set to be updated
---> Package perl-CGI-Untaint-date.noarch 0:1.00-3.fc8 set to be updated
---> Package perl-Net-Server.noarch 0:0.97-1.fc8 set to be updated
---> Package perl-Danga-Socket.noarch 0:1.57-2.fc8 set to be updated
---> Package perl-HTTP-Proxy.noarch 0:0.20-1.fc6 set to be updated
---> Package perl-DBD-XBase.noarch 0:0.241-5.fc8.1 set to be updated
---> Package perl-XML-LibXML.i386 0:1.62001-2.fc8.3 set to be updated
---> Package perl-Catalyst-Plugin-Authentication.noarch 0:0.10007-1.fc8 set to be updated
---> Package perl-Array-Compare.noarch 0:1.16-1.fc8 set to be updated
---> Package perl-Test-ClassAPI.noarch 0:1.05-3.fc8 set to be updated
---> Package perl-core.i386 0:5.8.8-41.fc8 set to be updated
---> Package perl-Pod-Coverage.noarch 0:0.18-2.fc6 set to be updated
---> Package perl-File-ExtAttr.i386 0:1.02-3.fc8 set to be updated
---> Package perl-File-Flat.noarch 0:1.00-2.fc8 set to be updated
---> Package perl-HTML-Tree.noarch 1:3.23-2.fc8 set to be updated
---> Package perl-File-MMagic.noarch 0:1.27-3.fc8 set to be updated
---> Package perl-CPANPLUS-Dist-Build.noarch 0:0.05-3.fc8 set to be updated
---> Package perl-Array-RefElem.i386 0:1.00-2.fc8 set to be updated
---> Package perl-Kwiki-ModPerl.noarch 0:0.09-4.fc7 set to be updated
---> Package perl-Kwiki-Revisions.noarch 0:0.15-5.fc7 set to be updated
---> Package perl-Email-Simple.noarch 0:1.999-1.fc7 set to be updated
---> Package perl-Text-CHM.i386 0:0.01-2.fc8.1 set to be updated
--> Processing Dependency: libchm.so.0 for package: perl-Text-CHM
---> Package perl-Test-Memory-Cycle.noarch 0:1.04-1.fc6 set to be updated
---> Package perl-Sys-Virt.i386 0:0.1.1-9.fc7 set to be updated
--> Processing Dependency: libvirt.so.0 for package: perl-Sys-Virt
--> Processing Dependency: libxenstore.so.3.0 for package: perl-Sys-Virt
---> Package perl-Tree-Simple-VisitorFactory.noarch 0:0.10-2.fc7 set to be updated
---> Package perl-Class-C3-Componentised.noarch 0:1.0001-4.fc8 set to be updated
---> Package perl-FileHandle-Fmode.i386 0:0.09-2.fc7 set to be updated
---> Package perl-MIME-Lite.noarch 0:3.01-5.fc8.1 set to be updated
---> Package perl-Email-MIME-ContentType.noarch 0:1.014-1.fc7 set to be updated
---> Package perl-IO-Compress-Bzip2.noarch 0:2.005-2.fc8 set to be updated
---> Package perl-IPC-Run.noarch 0:0.80-3.fc7 set to be updated
---> Package perl-Exporter-Lite.noarch 0:0.02-2.fc8 set to be updated
---> Package perl-FileHandle-Unget.noarch 0:0.1621-5.fc8 set to be updated
---> Package perl-Module-Pluggable.noarch 0:3.60-1.fc7 set to be updated
---> Package perl-Test-MinimumVersion.noarch 0:0.008-1.fc8 set to be updated
---> Package perl-Text-Diff-HTML.noarch 0:0.04-2.fc8 set to be updated
---> Package perl-File-chmod.noarch 0:0.32-2.fc8 set to be updated
---> Package perl-Gtk2.i386 0:1.144-1.fc7 set to be updated
---> Package perl-Kwiki-Archive-Rcs.noarch 0:0.15-6.fc7 set to be updated
---> Package perl-PerlIO-via-symlink.noarch 0:0.05-4.fc8 set to be updated
---> Package perl-IO-stringy.noarch 0:2.110-6.fc8 set to be updated
---> Package perl-Mail-Alias.noarch 0:1.12-8.fc7 set to be updated
---> Package perl-Test-use-ok.noarch 0:0.02-3.fc7 set to be updated
---> Package perl-Razor-Agent.i386 0:2.85-1.fc8 set to be updated
---> Package perl-Scope-Guard.noarch 0:0.03-2.fc8 set to be updated
---> Package perl-prefork.noarch 0:1.02-1.fc8 set to be updated
---> Package perl-Algorithm-CheckDigits.noarch 0:0.48-2.fc8 set to be updated
---> Package perl-Hash-Case.noarch 0:1.003-2.fc7 set to be updated
---> Package perl-Test-Warn.noarch 0:0.10-1.fc7 set to be updated
---> Package perl-JSON-Any.noarch 0:1.16-3.fc8 set to be updated
---> Package perl-IO-Capture.noarch 0:0.05-2.fc8.2 set to be updated
---> Package perl-File-Which.noarch 0:0.05-2.fc8.1 set to be updated
---> Package perl-PPI-Tester.noarch 0:0.06-2.fc6 set to be updated
---> Package perl-DateTime-Format-DBI.noarch 0:0.031-3.fc8 set to be updated
---> Package perl-Email-MessageID.noarch 0:1.351-1.fc7 set to be updated
---> Package perl-File-BOM.noarch 0:0.14-2.fc7 set to be updated
---> Package perl-Gnome2-GConf.i386 0:1.044-1.fc8 set to be updated
---> Package perl-Tie-EncryptedHash.noarch 0:1.21-3.fc7 set to be updated
---> Package perl-Class-Factory-Util.noarch 0:1.7-1.fc7 set to be updated
---> Package perl-User-Identity.noarch 0:0.92-1.fc8 set to be updated
---> Package perl-Pod-Simple.noarch 0:3.05-1.fc8.1 set to be updated
---> Package perl-Expect-Simple.noarch 0:0.04-1.fc8 set to be updated
---> Package perl-OLE-Storage_Lite.noarch 0:0.14-9.fc8 set to be updated
---> Package perl-Class-MethodMaker.i386 0:2.11-1.fc8 set to be updated
---> Package perl-Regexp-Shellish.noarch 0:0.93-3.fc8 set to be updated
---> Package perl-libxml-perl.noarch 0:0.08-2 set to be updated
---> Package perl-Spreadsheet-WriteExcel.noarch 0:2.18-1.fc8 set to be updated
---> Package perl-DBD-Pg.i386 0:1.49-5.fc8.2 set to be updated
---> Package perl-Task-Weaken.noarch 0:1.02-2.fc8 set to be updated
---> Package perl-Authen-Krb5.i386 0:1.7-3.fc8 set to be updated
---> Package perl-Test-NoWarnings.noarch 0:0.083-2.fc7 set to be updated
---> Package perl-Test-Tester.noarch 0:0.106-1.fc8 set to be updated
---> Package perl-Text-vFile-asData.noarch 0:0.05-2.fc8 set to be updated
---> Package perl-GPS-PRN.noarch 0:0.05-1.fc8.1 set to be updated
---> Package perl-Cairo.i386 0:1.041-2.fc8 set to be updated
---> Package perl-Date-Manip.noarch 0:5.48-1.fc8 set to be updated
---> Package perl-XML-Generator-DBI.noarch 0:1.00-4.fc8 set to be updated
---> Package perl-Hash-WithDefaults.noarch 0:0.04-2.fc7 set to be updated
---> Package perl-Class-DBI.noarch 0:3.0.16-2.fc8 set to be updated
---> Package perl-ekg2.i386 0:0.2-0.1.rc1.fc8 set to be updated
--> Processing Dependency: ekg2-core = 0.2-0.1.rc1.fc8 for package: perl-ekg2
---> Package perl-Net-IRC.noarch 0:0.75-2.fc8 set to be updated
---> Package perl-Class-Accessor.noarch 0:0.31-2.fc8 set to be updated
---> Package perl-Gtk2-GladeXML.i386 0:1.006-2.fc8 set to be updated
---> Package perl-CGI-Ex.noarch 0:2.21-1.fc8 set to be updated
---> Package perl-IO-AIO.i386 0:2.33-1.fc8 set to be updated
---> Package perl-POE-Component-SimpleLog.noarch 0:1.04-1.fc6 set to be updated
---> Package perl-Ima-DBI.noarch 0:0.35-1.fc8.1 set to be updated
---> Package perl-Test-Exception.noarch 0:0.21-3.fc6 set to be updated
---> Package perl-Pugs-Compiler-Rule.noarch 0:0.26-1.fc8 set to be updated
---> Package perl-Devel-Cycle.noarch 0:1.07-1.fc8.2 set to be updated
---> Package perl-DBIx-ContextualFetch.noarch 0:1.03-3.fc8 set to be updated
---> Package perl-MasonX-Interp-WithCallbacks.noarch 0:1.17-1.fc8 set to be updated
--> Processing Dependency: perl(Apache::TestMB) for package: perl-MasonX-Interp-WithCallbacks
---> Package perl-GD.i386 0:2.35-2.fc8.1 set to be updated
---> Package perl-Module-ExtractUse.noarch 0:0.22-1.fc8 set to be updated
---> Package perl-WWW-Search.noarch 0:2.496-3.fc8 set to be updated
---> Package perl-SVK.noarch 0:2.0.2-1.fc8 set to be updated
--> Processing Dependency: perl(SVN::Repos) for package: perl-SVK
--> Processing Dependency: perl(SVN::Client) for package: perl-SVK
--> Processing Dependency: perl(SVN::Ra) for package: perl-SVK
--> Processing Dependency: perl(SVN::Delta) for package: perl-SVK
--> Processing Dependency: perl(SVN::Fs) for package: perl-SVK
--> Processing Dependency: perl(SVN::Core) for package: perl-SVK
---> Package perl-Text-Template.noarch 0:1.45-1.fc8 set to be updated
---> Package perl-XML-Simple.noarch 0:2.17-1.fc8 set to be updated
---> Package perl-HTML-TableExtract.noarch 0:2.10-1.fc7 set to be updated
---> Package perl-Params-Util.noarch 0:0.33-2.fc8 set to be updated
---> Package perl-Class-DBI-Plugin-Type.noarch 0:0.02-5.fc8 set to be updated
---> Package perl-Net-NBName.noarch 0:0.26-2.fc8 set to be updated
---> Package perl-Gtk2-Ex-CalendarButton.noarch 0:0.01-4.fc8 set to be updated
---> Package perl-Path-Class.noarch 0:0.16-2.fc8 set to be updated
---> Package perl-ExtUtils-F77.noarch 0:1.16-2.fc8 set to be updated
---> Package perl-DBD-AnyData.noarch 0:0.09-1.fc8 set to be updated
---> Package perl-Term-ProgressBar.noarch 0:2.09-2.fc6 set to be updated
---> Package perl-Math-Base85.noarch 0:0.2-3.fc8 set to be updated
---> Package perl-Test-SubCalls.noarch 0:1.06-1.fc6 set to be updated
---> Package perl-DBD-Mock.noarch 0:1.36-1.fc8 set to be updated
---> Package perl-XML-DOM.noarch 0:1.44-2.fc8.1 set to be updated
---> Package perl-UNIVERSAL-can.noarch 0:1.12-1.fc6 set to be updated
---> Package perl-libintl.i386 0:1.16-5.fc8 set to be updated
---> Package perl-GO-TermFinder.i386 0:0.82-2.fc8 set to be updated
---> Package perl-Pod-Tests.noarch 0:1.19-1.fc8 set to be updated
---> Package perl-Parse-Yapp.noarch 0:1.05-36.fc8.1 set to be updated
---> Package perl-DBIx-POS.noarch 0:0.03-4.fc7 set to be updated
---> Package perl-Test-Script.noarch 0:1.03-1.fc8 set to be updated
---> Package perl-Text-Aspell.i386 0:0.09-1.fc8 set to be updated
---> Package perl-Spreadsheet-WriteExcel-Simple.noarch 0:1.04-2.fc8 set to be updated
---> Package perl-Convert-ASN1.noarch 0:0.21-2.fc8.1 set to be updated
---> Package perl-Class-Gomor.noarch 0:1.01-2.fc8 set to be updated
---> Package perl-HTML-Mason.noarch 1:1.37-1.fc8 set to be updated
---> Package perl-Text-SpellChecker.noarch 0:0.03-1.fc8 set to be updated
---> Package perl-Catalyst-Action-RenderView.noarch 0:0.07-2.fc8 set to be updated
---> Package perl-Catalyst-Plugin-Session-State-Cookie.noarch 0:0.09-2.fc8 set to be updated
---> Package perl-CGI-Untaint-email.noarch 0:0.03-3.fc8 set to be updated
---> Package perl-Crypt-CBC.noarch 0:2.22-1.fc8.1 set to be updated
---> Package perl-Crypt-OpenSSL-Bignum.i386 0:0.03-3.fc8 set to be updated
---> Package perl-Email-Send.noarch 0:2.185-3.fc8 set to be updated
---> Package perl-Tk-TableMatrix.i386 0:1.23-4.fc8 set to be updated
---> Package perl-UNIVERSAL-isa.noarch 0:0.06-4.fc8 set to be updated
---> Package perl-Data-ICal.noarch 0:0.13-3.fc8 set to be updated
---> Package perl-Crypt-PasswdMD5.noarch 0:1.3-2.fc8.1 set to be updated
---> Package perl-Module-Load.noarch 0:0.12-1.fc8 set to be updated
---> Package perl-Geo-Functions.noarch 0:0.06-1.fc8.1 set to be updated
---> Package perl-SVG.noarch 0:2.44-1.fc8 set to be updated
---> Package perl-DBM-Deep.noarch 0:0.983-2.fc6 set to be updated
---> Package perl-Apache-RPC.noarch 0:0.60-3.fc8 set to be updated
---> Package perl-Text-RecordParser.noarch 0:v1.2.1-3.fc7 set to be updated
---> Package perl-YAML.noarch 0:0.66-1.fc8 set to be updated
---> Package perl-Config-Any.noarch 0:0.14-1.fc8 set to be updated
---> Package perl-Class-DBI-Plugin.noarch 0:0.03-5.fc8.1 set to be updated
---> Package perl-Config-IniHash.noarch 0:2.9.0-2.fc7 set to be updated
---> Package perl-Data-Structure-Util.i386 0:0.12-3.fc7 set to be updated
---> Package perl-Set-IntSpan.noarch 0:1.13-1.fc8 set to be updated
---> Package perl-File-Remove.noarch 0:1.42-1.fc8 set to be updated
---> Package perl-Config-Record.noarch 0:1.1.2-1.fc8 set to be updated
---> Package perl-Carp-Clan.noarch 0:5.9-2.fc8 set to be updated
---> Package perl-Net-SCP.noarch 0:0.07-6.fc7 set to be updated
---> Package perl-Net-CIDR-Lite.noarch 0:0.20-3.fc7 set to be updated
---> Package perl-File-Tail.noarch 0:0.99.3-5.fc8.1 set to be updated
---> Package perl-Catalyst-Devel.noarch 0:1.03-2.fc8 set to be updated
---> Package perl-WWW-Mechanize.noarch 0:1.32-1.fc8 set to be updated
---> Package perl-Template-GD.noarch 0:2.66-3.fc8 set to be updated
---> Package perl-HTTP-Body.noarch 0:0.9-2.fc8 set to be updated
---> Package perl-POE-Component-Child.noarch 0:1.39-2.fc6 set to be updated
---> Package perl-Image-Info.noarch 0:1.28-1.fc8 set to be updated
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 145, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 641, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 688, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 771, in _resolveRequires
    thisneeds = self._checkInstall(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 843, in _checkInstall
    provs = self.tsInfo.getProvides(*req)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 432, in getProvides
    result.update(self.getNewProvides(name, flag, version))
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 414, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 300, in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 470, in _computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 857, in getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 833, in _search
    for pkg in self.searchFiles(name, strict=True):
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 566, in searchFiles
    self._sql_pkgKey2po(rep, cur, pkgs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 468, in _sql_pkgKey2po
    pkg = self._packageByKey(repo, ob['pkgKey'])
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 411, in _packageByKey
    po = self.pc(repo, cur.fetchone())
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 68, in __init__
    self._read_db_obj(db_obj)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 94, in _read_db_obj
    setattr(self, item, _share_data(db_obj[item]))
TypeError: 'NoneType' object is unsubscriptable
[root@localhost ~]# yum --version
3.2.19
  Installed: yum-metadata-parser-1.1.2-1.fc8.i386 at 2008-08-08 13:16
  Built    : Fedora Project at 2007-08-24 14:14
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2007-08-24 22:00

  Installed: yum-3.2.19-3.fc8.noarch at 2008-09-16 15:06
  Built    : Fedora Project at 2008-09-03 15:19
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-09-03 22:00

  Installed: rpm-4.4.2.2-7.fc8.i386 at 2008-08-14 22:51
  Built    : Fedora Project at 2007-11-12 07:25
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2007-10-24 22:00
[root@localhost ~]#
Comment 1 James Antill 2008-10-14 10:41:06 EDT

*** This bug has been marked as a duplicate of bug 465898 ***

Note You need to log in before you can comment on or make changes to this bug.